//  Copyright (C) 2012  Stephen Compall
// 
//    Licensed under the Apache License, Version 2.0 (the "License");
//    you may not use this file except in compliance with the License.
//    You may obtain a copy of the License at
// 
//        http://www.apache.org/licenses/LICENSE-2.0
// 
//    Unless required by applicable law or agreed to in writing, software
//    distributed under the License is distributed on an "AS IS" BASIS,
//    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//    See the License for the specific language governing permissions and
//    limitations under the License.
using System;
using System.Collections.Generic;
using NUnit.Framework;
using Nocandy.LinqResources.ReaderVExample;

namespace Nocandy.LinqResources.ReaderVExample.Test
{
  [TestFixture()]
  class TestReaderVExample
  {
    [Test()]
    public void DisabledRun ()
    {
      Assert.AreEqual("ERROR: you must set runnable=yes",
                      Scaffold.Run("John", 33, new Dictionary<string, string>{
                          {"runnable", "no"}
                      }));
    }

    [Test()]
    public void VerboseRun ()
    {
      Assert.AreEqual("The user Paul is of age 34",
                      Scaffold.Run("Paul", 34, new Dictionary<string, string>{
                          {"runnable", "yes"},
                          {"verbose", "yes"}
                      }));
    }

    [Test()]
    public void QuietRun ()
    {
      Assert.AreEqual("George is 33",
                      Scaffold.Run("George", 33, new Dictionary<string, string>{
                          {"runnable", "yes"},
                          {"verbose", "no"}
                      }));
    }
  }
}
